var _examples$SIMPLE_EXAM;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/

/* eslint-disable react/display-name*/
import * as React from 'react';
import { withStyle } from 'styletron-react';
import { StyledRadio, StyledLabel, StatefulRadioGroup } from './index.js';
export var suite = 'Radio Group Test Suite';
import examples from './examples-list.js';
export default (_examples$SIMPLE_EXAM = {}, _defineProperty(_examples$SIMPLE_EXAM, examples.SIMPLE_EXAMPLE, function () {
  return React.createElement(StatefulRadioGroup, {
    initialState: {
      value: '2'
    }
  }, React.createElement(StyledRadio, {
    value: "1"
  }, "First"), React.createElement(StyledRadio, {
    value: "2"
  }, "Second"), React.createElement(StyledRadio, {
    value: "3"
  }, "Third"));
}), _defineProperty(_examples$SIMPLE_EXAM, examples.HORIZONTAL_ALIGN, function () {
  return React.createElement(StatefulRadioGroup, {
    align: "horizontal",
    initialState: {
      value: '3'
    }
  }, React.createElement(StyledRadio, {
    value: "1"
  }, "First"), React.createElement(StyledRadio, {
    value: "2"
  }, "Second"), React.createElement(StyledRadio, {
    value: "3"
  }, "Third"));
}), _defineProperty(_examples$SIMPLE_EXAM, examples.COMPONENTS_OVERRIDES, function () {
  var overrides = {
    Label: function Label(props) {
      return React.createElement("div", null, "Custom Label for value ", props.$value);
    }
  };
  return React.createElement(StatefulRadioGroup, {
    overrides: overrides,
    initialState: {
      value: '3'
    }
  }, React.createElement(StyledRadio, {
    value: "1"
  }, "First"), React.createElement(StyledRadio, {
    value: "2"
  }, "Second"), React.createElement(StyledRadio, {
    value: "3"
  }, "Third"));
}), _defineProperty(_examples$SIMPLE_EXAM, examples.STYLES_OVERRIDES, function () {
  var overrides = {
    RadioMark: {
      style: {
        borderColor: 'red'
      }
    },
    Label: withStyle(StyledLabel, function () {
      return {
        color: 'orange',
        fontSize: '25px'
      };
    })
  };
  return React.createElement(StatefulRadioGroup, {
    overrides: overrides,
    initialState: {
      value: '3'
    }
  }, React.createElement(StyledRadio, {
    value: "1"
  }, "First"), React.createElement(StyledRadio, {
    value: "2"
  }, "Second"), React.createElement(StyledRadio, {
    value: "3"
  }, "Third"));
}), _defineProperty(_examples$SIMPLE_EXAM, examples.WITH_ERROR, function () {
  return React.createElement(StatefulRadioGroup, {
    isError: true,
    initialState: {
      value: '3'
    }
  }, React.createElement(StyledRadio, {
    value: "1"
  }, "First"), React.createElement(StyledRadio, {
    value: "2"
  }, "Second"), React.createElement(StyledRadio, {
    value: "3"
  }, "Third"));
}), _examples$SIMPLE_EXAM);